Bug 588122 - Review Request: perl-Symbol-Util - Additional utilities for Perl symbols manipulation
Summary: Review Request: perl-Symbol-Util - Additional utilities for Perl symbols mani...
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review   
(Show other bugs)
Version: rawhide
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Parag AN(पराग)
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-05-02 18:52 UTC by Emmanuel Seyman
Modified: 2012-03-24 19:11 UTC (History)
4 users (show)

Fixed In Version: perl-Symbol-Util-0.0202-3.fc11
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-05-24 19:32:39 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
panemade: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Emmanuel Seyman 2010-05-02 18:52:22 UTC
Spec URL: http://people.parinux.org/~seyman/fedora/perl-Symbol-Util/perl-Symbol-Util.spec
SRPM URL: http://people.parinux.org/~seyman/fedora/perl-Symbol-Util/perl-Symbol-Util-0.0202-1.fc12.src.rpm
Description:
This module provides a set of additional functions useful for Perl symbols
manipulation.

Comment 1 Parag AN(पराग) 2010-05-03 06:04:12 UTC
Package failed to build due to missing BuildRequires...
See http://koji.fedoraproject.org/koji/taskinfo?taskID=2156992

Comment 2 Emmanuel Seyman 2010-05-03 09:05:16 UTC
Why is this still happening after all this time ?

New package, tested in mock.
Spec URL:
http://people.parinux.org/~seyman/fedora/perl-Symbol-Util/perl-Symbol-Util.spec
SRPM URL:
http://people.parinux.org/~seyman/fedora/perl-Symbol-Util/perl-Symbol-Util-0.0202-2.fc12.src.rpm

Comment 3 Parag AN(पराग) 2010-05-04 07:32:01 UTC
Review:
+ package builds in mock (rawhide i686).
koji Build =>http://koji.fedoraproject.org/koji/taskinfo?taskID=2159902
+ rpmlint output for SRPM and for RPM.
2 packages and 0 specfiles checked; 0 errors, 0 warnings.
+ source files match upstream url (sha1sum)
5119464d6816ffaf3cb7ecc7c951c53e693745c1  Symbol-Util-0.0202.tar.gz
+ package meets naming and packaging guidelines.
+ specfile is properly named, is cleanly written
+ Spec file is written in American English.
+ Spec file is legible.
+ dist tag is present.
+ license is open source-compatible.
+ License text is included in package.
+ %doc is present.
+ %clean is present.
+ package installed properly.
+ Macro use appears rather consistent.
+ no headers or static libraries.
+ no .pc file present.
+ no -devel subpackage
+ no .la files.
+ no translations are available
+ Does owns the directories it creates.
+ no scriptlets present.
+ no duplicates in %files.
+ file permissions are appropriate.
+ make test gave
All tests successful.
Files=8, Tests=307,  0 wallclock secs ( 0.06 usr  0.02 sys +  0.21 cusr  0.05 csys =  0.34 CPU)
+ Package perl-Symbol-Util-0.0202-2.fc14.noarch =>
Provides: perl(Symbol::Util) = 0.0202
Requires: perl >= 0:5.006 perl(strict) perl(warnings)
+ Not a GUI application

Suggestions:
1) Remove following from SPEC
BuildRequires:  perl

APPROVED.

Comment 4 Emmanuel Seyman 2010-05-04 07:45:43 UTC
(In reply to comment #3)
> 
> Suggestions:
> 1) Remove following from SPEC
> BuildRequires:  perl

Done.

> APPROVED.    

Thank you, Parag. Requesting CVS.

New Package CVS Request
=======================
Package Name: perl-Symbol-Util
Short Description: Additional utilities for Perl symbols manipulation
Owners: eseyman
Branches: F-11 F-12 F-13
InitialCC: perl-sig

Comment 5 Kevin Fenzi 2010-05-06 15:48:08 UTC
CVS done (by process-cvs-requests.py).

Comment 6 Fedora Update System 2010-05-06 16:45:05 UTC
perl-Symbol-Util-0.0202-3.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/perl-Symbol-Util-0.0202-3.fc12

Comment 7 Fedora Update System 2010-05-06 16:45:10 UTC
perl-Symbol-Util-0.0202-3.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/perl-Symbol-Util-0.0202-3.fc13

Comment 8 Fedora Update System 2010-05-06 16:45:14 UTC
perl-Symbol-Util-0.0202-3.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/perl-Symbol-Util-0.0202-3.fc11

Comment 9 Fedora Update System 2010-05-07 05:46:12 UTC
perl-Symbol-Util-0.0202-3.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update perl-Symbol-Util'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/perl-Symbol-Util-0.0202-3.fc13

Comment 10 Fedora Update System 2010-05-07 17:22:48 UTC
perl-Symbol-Util-0.0202-3.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update perl-Symbol-Util'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/perl-Symbol-Util-0.0202-3.fc11

Comment 11 Fedora Update System 2010-05-07 17:24:52 UTC
perl-Symbol-Util-0.0202-3.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update perl-Symbol-Util'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/perl-Symbol-Util-0.0202-3.fc12

Comment 12 Fedora Update System 2010-05-24 19:32:34 UTC
perl-Symbol-Util-0.0202-3.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 13 Fedora Update System 2010-05-24 19:36:56 UTC
perl-Symbol-Util-0.0202-3.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 14 Fedora Update System 2010-05-24 19:49:13 UTC
perl-Symbol-Util-0.0202-3.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 15 Paul Howarth 2012-03-09 12:45:24 UTC
Emmanuel,

could we please have an EPEL-6 branch for this package? The current Rawhide package builds OK there. I (pghmcfc) would be happy to maintain it if you're not interested.

Comment 16 Emmanuel Seyman 2012-03-09 14:03:16 UTC
Package Change Request
======================
Package Name: perl-Symbol-Util
New Branches: el6
Owners: eseyman pghmcfc
InitialCC: perl-sig

Paul, I'm afraid you'll have to do the heavy lifting as I don't use EPEL-6.

Comment 17 Paul Howarth 2012-03-09 14:08:34 UTC
No problem, thanks Emmanuel.

Comment 18 Gwyn Ciesla 2012-03-09 14:24:41 UTC
Git done (by process-git-requests).

Comment 19 Fedora Update System 2012-03-09 14:37:23 UTC
perl-Symbol-Util-0.0202-8.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/perl-Symbol-Util-0.0202-8.el6

Comment 20 Fedora Update System 2012-03-24 19:11:40 UTC
perl-Symbol-Util-0.0202-8.el6 has been pushed to the Fedora EPEL 6 stable repository.


Note You need to log in before you can comment on or make changes to this bug.